Subject: Re: [PATCH] have merge put FETCH_HEAD data in commit message

From: Jakub Narebski <[email-masked]>
Date: Fri, 23 Mar 2007 15:23:55 +0100

J. Bruce Fields wrote:
> On Fri, Mar 23, 2007 at 02:57:38PM +0100, Jakub Narebski wrote:
>> Junio C Hamano wrote:
>> 
>>> +The commit message is formed by the title taken from the
>>> +"Subject: ", a blank line and the body of the message up to
>>> +where the patch begins.  Excess whitespaces at the end of the
>>> +lines are automatically stripped.
>> 
>> Does this mean that git-am cannot make a log message that doesn't
>> follow git formatting commit message guidelines, namely short one-line
>> description, then longer description and signoff?
> 
> The input to git-am is email, not log messages.

But that means that commit message which doesn't have empty line after
first line cannot be send via git-send-email + git-am without changes,
not be subject to git-rebase (which uses git-am machinery unless invoked
with --merge option) without changing commit message, isn't it?

-- 
Jakub Narebski
Poland